summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorLouis Sautier <sbraz@gentoo.org>2019-11-09 13:23:15 +0100
committerLouis Sautier <sbraz@gentoo.org>2019-11-09 13:28:43 +0100
commit19a9354108942904e2bdf764721ee6cb2eef03ae (patch)
tree665a6837c589c679cf05a4fe921c7ae7351f227a
parentdev-python/nagiosplugin: bump to 1.3.1, add doc (diff)
downloadgentoo-19a9354108942904e2bdf764721ee6cb2eef03ae.tar.gz
gentoo-19a9354108942904e2bdf764721ee6cb2eef03ae.tar.bz2
gentoo-19a9354108942904e2bdf764721ee6cb2eef03ae.zip
dev-python/inflect: bump to 3.0.2, add doc
Also run tests with pytest. Package-Manager: Portage-2.3.78, Repoman-2.3.17 Signed-off-by: Louis Sautier <sbraz@gentoo.org>
-rw-r--r--dev-python/inflect/Manifest1
-rw-r--r--dev-python/inflect/inflect-3.0.2.ebuild49
2 files changed, 50 insertions, 0 deletions
diff --git a/dev-python/inflect/Manifest b/dev-python/inflect/Manifest
index 518a37908bb..5c38db75c6c 100644
--- a/dev-python/inflect/Manifest
+++ b/dev-python/inflect/Manifest
@@ -1,3 +1,4 @@
DIST inflect-0.2.5.tar.gz 109756 BLAKE2B ecb64b0fea04602f112dfba11ade6828eae7a7f3f44d4c4fb15c2300ac18025ea4c51f9c36aae5e7e92bd09e24d08091ce096b888a520fd2d4c40374356333d5 SHA512 68371158ac90d9662c19657cbf697f44ee9ceac090286d53e29ee04252efbb7d0bfbd99ae6847e6eec1991ef4ef670eff60693d1f0a301885bab2a09c7ce4616
DIST inflect-1.0.1.tar.gz 110413 BLAKE2B 4c7a5801fde8e0825c7a18612d7d4b6e92534c742ca9021e31c77ffb346e4e5b83f2ca1336d4a4116b721c14d1d6d7387838eff5a52b198c6490a1d00fa8d1a0 SHA512 000cd0e16d16b67cd36914c11d2230268e49be524f184f247d5cea29cc6b69d7b7259b9a67174efd570a2fb9eb6c392a7a6e223d48fd04d824a625fb7fc7f2a7
DIST inflect-2.1.0.tar.gz 98767 BLAKE2B 2cddbeb7d4ca5e150435e42b75e0eff2e2b20a8cf38c89fe6e8958bc52d69aa070f7ba5c6c73bfdd2dab585ceb32006542f31abbeccc2375760742c70e0c6c50 SHA512 c5230ad6f224a6e9667ce3c135bf43d09939bf457f68fb3d52a4278b110df10c9ddddd05e68d94f04a6902319ad71440440bad019c081d0d781a2dbde9ab98bc
+DIST inflect-3.0.2.tar.gz 71546 BLAKE2B 951eb818ba1645a9e426468811ad449378aa5a7341575ac2aff5e9d1e06237fe8e96fa64cd678665cd6c05e1dc5e477a65b261b9d8bd170be4fb923d5fb90e9c SHA512 5858548e947f742b91630fc584f568a2221057ada7cd4a55f39de1b52a82c97884d6a78c2f32e5995e354fd1c4eae4d5b3d30491ef57dd5187fd6baca93d2779
diff --git a/dev-python/inflect/inflect-3.0.2.ebuild b/dev-python/inflect/inflect-3.0.2.ebuild
new file mode 100644
index 00000000000..94231ddd4ce
--- /dev/null
+++ b/dev-python/inflect/inflect-3.0.2.ebuild
@@ -0,0 +1,49 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( pypy{,3} python{2_7,3_{5,6,7}} )
+
+inherit distutils-r1
+
+DESCRIPTION="Correctly inflect words and numbers"
+HOMEPAGE="https://github.com/jazzband/inflect"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="doc test"
+RESTRICT="!test? ( test )"
+
+# nose is still required by some test features
+# https://github.com/jazzband/inflect/issues/90
+BDEPEND="
+ dev-python/setuptools[${PYTHON_USEDEP}]
+ dev-python/setuptools_scm[${PYTHON_USEDEP}]
+ doc? (
+ >=dev-python/jaraco-packaging-3.2[${PYTHON_USEDEP}]
+ >=dev-python/rst-linker-1.9[${PYTHON_USEDEP}]
+ dev-python/alabaster[${PYTHON_USEDEP}]
+ dev-python/sphinx[${PYTHON_USEDEP}]
+ )
+ test? (
+ dev-python/nose[${PYTHON_USEDEP}]
+ dev-python/pytest[${PYTHON_USEDEP}]
+ dev-python/six[${PYTHON_USEDEP}]
+ )
+"
+
+python_compile_all() {
+ if use doc; then
+ sphinx-build docs docs/_build/html || die
+ HTML_DOCS=( docs/_build/html/. )
+ fi
+}
+
+python_test() {
+ # Override pytest options to skip flake8
+ pytest -vv tests --override-ini="addopts=--doctest-modules" \
+ || die "tests failed with ${EPYTHON}"
+}